define([
	"jquery",
    "Magento_Catalog/js/price-utils"
], function($, priceUtils) {
    "use strict";
  
    $.widget("filoblu.omnibusPrice", {
		_create: function() {
			var self = this;

			$.ajax({
				url: self.options.apiUrl,
				data: {
					brand: self.options.brand,
					sku: self.options.sku,
					market: self.options.market
				},
				error: function () {
					console.log("An error occurred when calculating the omnibus price");
				},
				success: function (response) {
					if (response.price) {
						$("span", ".omnibus-price").text(priceUtils.formatPrice(response.price));
					}
				}
			});
		}
	});
});